[arch-commits] Commit in iperf/repos/community-x86_64 (8 files)

Sébastien Luttringer seblu at gemini.archlinux.org
Tue Apr 12 19:57:09 UTC 2022


    Date: Tuesday, April 12, 2022 @ 19:57:09
  Author: seblu
Revision: 1186001

archrelease: copy trunk to community-x86_64

Added:
  iperf/repos/community-x86_64/PKGBUILD
    (from rev 1186000, iperf/trunk/PKGBUILD)
  iperf/repos/community-x86_64/iperf-tcp.service
    (from rev 1186000, iperf/trunk/iperf-tcp.service)
  iperf/repos/community-x86_64/iperf-udp.service
    (from rev 1186000, iperf/trunk/iperf-udp.service)
  iperf/repos/community-x86_64/iperf.install
    (from rev 1186000, iperf/trunk/iperf.install)
Deleted:
  iperf/repos/community-x86_64/PKGBUILD
  iperf/repos/community-x86_64/iperf-tcp.service
  iperf/repos/community-x86_64/iperf-udp.service
  iperf/repos/community-x86_64/iperf.install

-------------------+
 PKGBUILD          |  108 ++++++++++++++++++++++++++--------------------------
 iperf-tcp.service |   18 ++++----
 iperf-udp.service |   18 ++++----
 iperf.install     |   22 +++++-----
 4 files changed, 83 insertions(+), 83 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-04-12 19:57:01 UTC (rev 1186000)
+++ PKGBUILD	2022-04-12 19:57:09 UTC (rev 1186001)
@@ -1,54 +0,0 @@
-# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
-# Contributor: Giovanni Scafora <giovanni at archlinux.org>
-# Contributor: Dale Blount <dale at archlinux.org>
-
-pkgname=iperf
-pkgver=2.0.13
-pkgrel=2
-pkgdesc='A tool to measure maximum TCP bandwidth'
-arch=('x86_64')
-license=('custom')
-url='https://sourceforge.net/projects/iperf2/'
-depends=('gcc-libs')
-install=iperf.install
-source=("https://downloads.sourceforge.net/iperf2/iperf-$pkgver.tar.gz"
-        'iperf-tcp.service'
-        'iperf-udp.service')
-md5sums=('31ea1c6d5cbf80b16ff3abe4288dad5e'
-         '1d8660b540aa0db2e627d3d400cb8de4'
-         'a27a8d27b1585bc999a04a2f082e2726')
-prepare() {
-  cd $pkgname-$pkgver
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    msg2 "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-  :
-}
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr \
-              --enable-ipv6 \
-              --enable-multicast \
-              --enable-threads \
-              --enable-fastsampling
-  make
-}
-
-package() {
-  pushd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-  install -Dm644 COPYING "$pkgdir/usr/share/licenses/iperf/LICENSE"
-  popd
-  # systemd
-  install -Dm644 iperf-tcp.service "$pkgdir/usr/lib/systemd/system/iperf-tcp.service"
-  install -Dm644 iperf-udp.service "$pkgdir/usr/lib/systemd/system/iperf-udp.service"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: iperf/repos/community-x86_64/PKGBUILD (from rev 1186000, iperf/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-04-12 19:57:09 UTC (rev 1186001)
@@ -0,0 +1,54 @@
+# Maintainer: Sébastien Luttringer
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+# Contributor: Dale Blount <dale at archlinux.org>
+
+pkgname=iperf
+pkgver=2.1.7
+pkgrel=1
+pkgdesc='A tool to measure maximum TCP bandwidth'
+arch=('x86_64')
+license=('custom')
+url='https://sourceforge.net/projects/iperf2/'
+depends=('gcc-libs')
+install=iperf.install
+source=("https://downloads.sourceforge.net/iperf2/iperf-$pkgver.tar.gz"
+        'iperf-tcp.service'
+        'iperf-udp.service')
+sha256sums=('1aba2e1d7aa43641ef841951ed88e16cffba898460e0c51e6b2806f3ff20e9d4'
+            '5bfeaf4b7fc9bcc424cfc2257c6eefd21ed491bd140e9ae5562b270dcf84d794'
+            'fec34a6f352619caaf4ed3bc23f75a3ffb6b3ab5c2947cd2c24c6be36851738c')
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    echo "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+  :
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr \
+              --enable-ipv6 \
+              --enable-multicast \
+              --enable-threads \
+              --enable-fastsampling
+  make
+}
+
+package() {
+  pushd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/iperf/LICENSE"
+  popd
+  # systemd
+  install -Dm644 iperf-tcp.service "$pkgdir/usr/lib/systemd/system/iperf-tcp.service"
+  install -Dm644 iperf-udp.service "$pkgdir/usr/lib/systemd/system/iperf-udp.service"
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: iperf-tcp.service
===================================================================
--- iperf-tcp.service	2022-04-12 19:57:01 UTC (rev 1186000)
+++ iperf-tcp.service	2022-04-12 19:57:09 UTC (rev 1186001)
@@ -1,9 +0,0 @@
-[Unit]
-Description=Iperf TCP Server
-After=network.target
-
-[Service]
-ExecStart=/usr/bin/iperf -s -V
-
-[Install]
-WantedBy=multi-user.target

Copied: iperf/repos/community-x86_64/iperf-tcp.service (from rev 1186000, iperf/trunk/iperf-tcp.service)
===================================================================
--- iperf-tcp.service	                        (rev 0)
+++ iperf-tcp.service	2022-04-12 19:57:09 UTC (rev 1186001)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Iperf TCP Server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/iperf -s -V
+
+[Install]
+WantedBy=multi-user.target

Deleted: iperf-udp.service
===================================================================
--- iperf-udp.service	2022-04-12 19:57:01 UTC (rev 1186000)
+++ iperf-udp.service	2022-04-12 19:57:09 UTC (rev 1186001)
@@ -1,9 +0,0 @@
-[Unit]
-Description=Iperf UDP Server
-After=network.target
-
-[Service]
-ExecStart=/usr/bin/iperf -u -s -V
-
-[Install]
-WantedBy=multi-user.target

Copied: iperf/repos/community-x86_64/iperf-udp.service (from rev 1186000, iperf/trunk/iperf-udp.service)
===================================================================
--- iperf-udp.service	                        (rev 0)
+++ iperf-udp.service	2022-04-12 19:57:09 UTC (rev 1186001)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Iperf UDP Server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/iperf -u -s -V
+
+[Install]
+WantedBy=multi-user.target

Deleted: iperf.install
===================================================================
--- iperf.install	2022-04-12 19:57:01 UTC (rev 1186000)
+++ iperf.install	2022-04-12 19:57:09 UTC (rev 1186001)
@@ -1,11 +0,0 @@
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  if [ "$(vercmp $2 2.0.5-6)" -lt 0 ]; then
-    cat << EOF
-===> iperf.service unit has been moved to iperf-udp.service and iperf-tcp.service.
-EOF
-    fi
-}
-
-# vim:set ts=2 sw=2 ft=sh et:

Copied: iperf/repos/community-x86_64/iperf.install (from rev 1186000, iperf/trunk/iperf.install)
===================================================================
--- iperf.install	                        (rev 0)
+++ iperf.install	2022-04-12 19:57:09 UTC (rev 1186001)
@@ -0,0 +1,11 @@
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  if [ "$(vercmp $2 2.0.5-6)" -lt 0 ]; then
+    cat << EOF
+===> iperf.service unit has been moved to iperf-udp.service and iperf-tcp.service.
+EOF
+    fi
+}
+
+# vim:set ts=2 sw=2 ft=sh et:



More information about the arch-commits mailing list